shisa_principal_add(3)

NAME
shisa_principal_add - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_add(Shisa * dbh, const char * realm, const char * principal, const Shisa_principal * ph, const Shisa_key * key);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of principal to add. When set to NULL, only the realm realm is created.

const Shisa_principal * ph
    Pointer to a principal structure with information to store in the database.

const Shisa_key * key
    Pointer to a key structure with information to store in the database.

DESCRIPTION
Inserts the given information into the database for the principal PRINCIPAL@REALM. In case principal is NULL, the parameters ph and key are not used, so only the realm is added to the database.

RETURN VALUE
Returns SHISA_OK if the information was successfully added, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.